## org.eclipse.emf.ecore.util
Class BasicFeatureMap.FeatureMapEObjectImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.util.BasicFeatureMap.FeatureMapEObjectImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject

Enclosing class:
  BasicFeatureMap

    public static class BasicFeatureMap.FeatureMapEObjectImpl

extends EObjectImpl

Temporary for testing purposes only.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected BasicFeatureMap` `featureMap`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`BasicFeatureMap.FeatureMapEObjectImpl()`

Method Summary
`java.lang.Object` `eDynamicGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eDynamicInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class<?> inverseClass, NotificationChain notifications)`
`NotificationChain` `eDynamicInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class<?> inverseClass, NotificationChain notifications)`
`boolean` `eDynamicIsSet(EStructuralFeature eFeature)`
`void` `eDynamicSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eDynamicUnset(EStructuralFeature eFeature)`
`void` `eNotify(Notification notification)` Notifies a change to a feature of this notifier as described by the notification.
`FeatureMap` `featureMap()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI, eStaticClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### featureMap

    protected BasicFeatureMap featureMap

Constructor Detail

### BasicFeatureMap.FeatureMapEObjectImpl

    public BasicFeatureMap.FeatureMapEObjectImpl()

Method Detail

### eDynamicGet

    public java.lang.Object eDynamicGet(EStructuralFeature eFeature,
                                        boolean resolve)

  Overrides:
    `eDynamicGet` in class `BasicEObjectImpl`

### eDynamicSet

    public void eDynamicSet(EStructuralFeature eFeature,
                            java.lang.Object newValue)

  Overrides:
    `eDynamicSet` in class `BasicEObjectImpl`

### eDynamicUnset

    public void eDynamicUnset(EStructuralFeature eFeature)

  Overrides:
    `eDynamicUnset` in class `BasicEObjectImpl`

### eDynamicIsSet

    public boolean eDynamicIsSet(EStructuralFeature eFeature)

  Overrides:
    `eDynamicIsSet` in class `BasicEObjectImpl`

### eDynamicInverseAdd

    public NotificationChain eDynamicInverseAdd(InternalEObject otherEnd,
                                                int featureID,
                                                java.lang.Class<?> inverseClass,
                                                NotificationChain notifications)

  Overrides:
    `eDynamicInverseAdd` in class `BasicEObjectImpl`

### eDynamicInverseRemove

    public NotificationChain eDynamicInverseRemove(InternalEObject otherEnd,
                                                   int featureID,
                                                   java.lang.Class<?> inverseClass,
                                                   NotificationChain notifications)

  Overrides:
    `eDynamicInverseRemove` in class `BasicEObjectImpl`

### featureMap

    public FeatureMap featureMap()

### eNotify

    public void eNotify(Notification notification)

  Description copied from interface: `Notifier`
  Notifies a change to a feature of this notifier as described by the notification. The notifications will generally be `delivered` to the `adapters` via `Adapter.notifyChanged`.

  Specified by:
    `eNotify` in interface `Notifier`
  Overrides:
    `eNotify` in class `BasicNotifierImpl`
  Parameters:
    `notification` - a description of the change.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.